Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.texteditor
Class MarkRegionTarget

    java.lang.Object
      org.eclipse.ui.texteditor.MarkRegionTarget

All Implemented Interfaces:
  IMarkRegionTarget

public class MarkRegionTarget
extends Object
implements IMarkRegionTarget

Default implementation of `IMarkRegionTarget` using `ITextViewer` and `IStatusLineManager`.

Since:
  2.0

Constructor Summary
`MarkRegionTarget(ITextViewer viewer, IStatusLineManager manager)` Creates a MarkRegionTaret.

Method Summary
`protected static boolean` | `isVisible(ITextViewer viewer, int offset)` Tells whether the given offset is visible in the given text viewer.
`void` | `setMarkAtCursor(boolean set)` Sets or clears a mark at the current cursor position.
`void` | `swapMarkAndCursor()` Swaps the mark and cursor position if the mark is in the visible region.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MarkRegionTarget

    public MarkRegionTarget(ITextViewer viewer,
                            IStatusLineManager manager)

  Creates a MarkRegionTaret.

Parameters:
  `viewer` - the text viewer
  `manager` - the status line manager

Method Detail

### setMarkAtCursor

    public void setMarkAtCursor(boolean set)

  Description copied from interface: `IMarkRegionTarget`
  Sets or clears a mark at the current cursor position.

  Specified by:
    `setMarkAtCursor` in interface `IMarkRegionTarget`
  Parameters:
    `set` - sets the mark if `true`, clears otherwise.

### swapMarkAndCursor

    public void swapMarkAndCursor()

  Description copied from interface: `IMarkRegionTarget`
  Swaps the mark and cursor position if the mark is in the visible region.

  Specified by:
    `swapMarkAndCursor` in interface `IMarkRegionTarget`

### isVisible

    protected static final boolean isVisible(ITextViewer viewer,
                                             int offset)

  Tells whether the given offset is visible in the given text viewer.

  Parameters:
    `viewer` - the text viewer
    `offset` - the offset to check
  Returns:
    `true` if the given offset is visible in the given text viewer
  Since:
    2.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.